package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.system.utils.AesUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SnServer extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long serverId;
    @Excel(name = "服务器IP")
    private String ip;
    @Excel(name = "端口")
    private Integer port;
    @Excel(name = "用户名")
    private String userName;
    @Excel(name = "登录密码")
    private String password;
    private String dbPsd;
    @Excel(name = "状态")
    private Integer status;
    private Integer process;
    private Long taskId;
    private String domain;
    private Integer sslType;
    private String sslPem;
    private String sslKey;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sslTime;
    private String nginxCnf;
    private String version;
    private String backVersion;
    private String uiVersion;
    private String uaVersion;
    private Integer isDelete;
    
    public void setEnPassword(final String password) {
        this.password = AesUtils.encrypt(password);
    }
    
    public String getDePassword() {
        return AesUtils.decrypt(this.password);
    }
    
    public void setEnDbPsd(final String dbPsd) {
        this.dbPsd = AesUtils.encrypt(dbPsd);
    }
    
    public String getDeDbPsd() {
        return AesUtils.decrypt(this.dbPsd);
    }
    
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("serverId", this.getServerId()).append("ip", this.getIp()).append("port", this.getPort()).append("userName", this.getUserName()).append("password", this.getPassword()).append("status", this.getStatus()).append("isDelete", this.getIsDelete()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
    }
    
    public Long getServerId() {
        return this.serverId;
    }
    
    public String getIp() {
        return this.ip;
    }
    
    public Integer getPort() {
        return this.port;
    }
    
    public String getUserName() {
        return this.userName;
    }
    
    public String getPassword() {
        return this.password;
    }
    
    public String getDbPsd() {
        return this.dbPsd;
    }
    
    public Integer getStatus() {
        return this.status;
    }
    
    public Integer getProcess() {
        return this.process;
    }
    
    public Long getTaskId() {
        return this.taskId;
    }
    
    public String getDomain() {
        return this.domain;
    }
    
    public Integer getSslType() {
        return this.sslType;
    }
    
    public String getSslPem() {
        return this.sslPem;
    }
    
    public String getSslKey() {
        return this.sslKey;
    }
    
    public Date getSslTime() {
        return this.sslTime;
    }
    
    public String getNginxCnf() {
        return this.nginxCnf;
    }
    
    public String getVersion() {
        return this.version;
    }
    
    public String getBackVersion() {
        return this.backVersion;
    }
    
    public String getUiVersion() {
        return this.uiVersion;
    }
    
    public String getUaVersion() {
        return this.uaVersion;
    }
    
    public Integer getIsDelete() {
        return this.isDelete;
    }
    
    public void setServerId(final Long serverId) {
        this.serverId = serverId;
    }
    
    public void setIp(final String ip) {
        this.ip = ip;
    }
    
    public void setPort(final Integer port) {
        this.port = port;
    }
    
    public void setUserName(final String userName) {
        this.userName = userName;
    }
    
    public void setPassword(final String password) {
        this.password = password;
    }
    
    public void setDbPsd(final String dbPsd) {
        this.dbPsd = dbPsd;
    }
    
    public void setStatus(final Integer status) {
        this.status = status;
    }
    
    public void setProcess(final Integer process) {
        this.process = process;
    }
    
    public void setTaskId(final Long taskId) {
        this.taskId = taskId;
    }
    
    public void setDomain(final String domain) {
        this.domain = domain;
    }
    
    public void setSslType(final Integer sslType) {
        this.sslType = sslType;
    }
    
    public void setSslPem(final String sslPem) {
        this.sslPem = sslPem;
    }
    
    public void setSslKey(final String sslKey) {
        this.sslKey = sslKey;
    }
    
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public void setSslTime(final Date sslTime) {
        this.sslTime = sslTime;
    }
    
    public void setNginxCnf(final String nginxCnf) {
        this.nginxCnf = nginxCnf;
    }
    
    public void setVersion(final String version) {
        this.version = version;
    }
    
    public void setBackVersion(final String backVersion) {
        this.backVersion = backVersion;
    }
    
    public void setUiVersion(final String uiVersion) {
        this.uiVersion = uiVersion;
    }
    
    public void setUaVersion(final String uaVersion) {
        this.uaVersion = uaVersion;
    }
    
    public void setIsDelete(final Integer isDelete) {
        this.isDelete = isDelete;
    }
    
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof SnServer)) {
            return false;
        }
        final SnServer other = (SnServer)o;
        if (!other.canEqual(this)) {
            return false;
        }
        final Object this$serverId = this.getServerId();
        final Object other$serverId = other.getServerId();
        Label_0065: {
            if (this$serverId == null) {
                if (other$serverId == null) {
                    break Label_0065;
                }
            }
            else if (this$serverId.equals(other$serverId)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$port = this.getPort();
        final Object other$port = other.getPort();
        Label_0102: {
            if (this$port == null) {
                if (other$port == null) {
                    break Label_0102;
                }
            }
            else if (this$port.equals(other$port)) {
                break Label_0102;
            }
            return false;
        }
        final Object this$status = this.getStatus();
        final Object other$status = other.getStatus();
        Label_0139: {
            if (this$status == null) {
                if (other$status == null) {
                    break Label_0139;
                }
            }
            else if (this$status.equals(other$status)) {
                break Label_0139;
            }
            return false;
        }
        final Object this$process = this.getProcess();
        final Object other$process = other.getProcess();
        Label_0176: {
            if (this$process == null) {
                if (other$process == null) {
                    break Label_0176;
                }
            }
            else if (this$process.equals(other$process)) {
                break Label_0176;
            }
            return false;
        }
        final Object this$taskId = this.getTaskId();
        final Object other$taskId = other.getTaskId();
        Label_0213: {
            if (this$taskId == null) {
                if (other$taskId == null) {
                    break Label_0213;
                }
            }
            else if (this$taskId.equals(other$taskId)) {
                break Label_0213;
            }
            return false;
        }
        final Object this$sslType = this.getSslType();
        final Object other$sslType = other.getSslType();
        Label_0250: {
            if (this$sslType == null) {
                if (other$sslType == null) {
                    break Label_0250;
                }
            }
            else if (this$sslType.equals(other$sslType)) {
                break Label_0250;
            }
            return false;
        }
        final Object this$isDelete = this.getIsDelete();
        final Object other$isDelete = other.getIsDelete();
        Label_0287: {
            if (this$isDelete == null) {
                if (other$isDelete == null) {
                    break Label_0287;
                }
            }
            else if (this$isDelete.equals(other$isDelete)) {
                break Label_0287;
            }
            return false;
        }
        final Object this$ip = this.getIp();
        final Object other$ip = other.getIp();
        Label_0324: {
            if (this$ip == null) {
                if (other$ip == null) {
                    break Label_0324;
                }
            }
            else if (this$ip.equals(other$ip)) {
                break Label_0324;
            }
            return false;
        }
        final Object this$userName = this.getUserName();
        final Object other$userName = other.getUserName();
        Label_0361: {
            if (this$userName == null) {
                if (other$userName == null) {
                    break Label_0361;
                }
            }
            else if (this$userName.equals(other$userName)) {
                break Label_0361;
            }
            return false;
        }
        final Object this$password = this.getPassword();
        final Object other$password = other.getPassword();
        Label_0398: {
            if (this$password == null) {
                if (other$password == null) {
                    break Label_0398;
                }
            }
            else if (this$password.equals(other$password)) {
                break Label_0398;
            }
            return false;
        }
        final Object this$dbPsd = this.getDbPsd();
        final Object other$dbPsd = other.getDbPsd();
        Label_0435: {
            if (this$dbPsd == null) {
                if (other$dbPsd == null) {
                    break Label_0435;
                }
            }
            else if (this$dbPsd.equals(other$dbPsd)) {
                break Label_0435;
            }
            return false;
        }
        final Object this$domain = this.getDomain();
        final Object other$domain = other.getDomain();
        Label_0472: {
            if (this$domain == null) {
                if (other$domain == null) {
                    break Label_0472;
                }
            }
            else if (this$domain.equals(other$domain)) {
                break Label_0472;
            }
            return false;
        }
        final Object this$sslPem = this.getSslPem();
        final Object other$sslPem = other.getSslPem();
        Label_0509: {
            if (this$sslPem == null) {
                if (other$sslPem == null) {
                    break Label_0509;
                }
            }
            else if (this$sslPem.equals(other$sslPem)) {
                break Label_0509;
            }
            return false;
        }
        final Object this$sslKey = this.getSslKey();
        final Object other$sslKey = other.getSslKey();
        Label_0546: {
            if (this$sslKey == null) {
                if (other$sslKey == null) {
                    break Label_0546;
                }
            }
            else if (this$sslKey.equals(other$sslKey)) {
                break Label_0546;
            }
            return false;
        }
        final Object this$sslTime = this.getSslTime();
        final Object other$sslTime = other.getSslTime();
        Label_0583: {
            if (this$sslTime == null) {
                if (other$sslTime == null) {
                    break Label_0583;
                }
            }
            else if (this$sslTime.equals(other$sslTime)) {
                break Label_0583;
            }
            return false;
        }
        final Object this$nginxCnf = this.getNginxCnf();
        final Object other$nginxCnf = other.getNginxCnf();
        Label_0620: {
            if (this$nginxCnf == null) {
                if (other$nginxCnf == null) {
                    break Label_0620;
                }
            }
            else if (this$nginxCnf.equals(other$nginxCnf)) {
                break Label_0620;
            }
            return false;
        }
        final Object this$version = this.getVersion();
        final Object other$version = other.getVersion();
        Label_0657: {
            if (this$version == null) {
                if (other$version == null) {
                    break Label_0657;
                }
            }
            else if (this$version.equals(other$version)) {
                break Label_0657;
            }
            return false;
        }
        final Object this$backVersion = this.getBackVersion();
        final Object other$backVersion = other.getBackVersion();
        Label_0694: {
            if (this$backVersion == null) {
                if (other$backVersion == null) {
                    break Label_0694;
                }
            }
            else if (this$backVersion.equals(other$backVersion)) {
                break Label_0694;
            }
            return false;
        }
        final Object this$uiVersion = this.getUiVersion();
        final Object other$uiVersion = other.getUiVersion();
        Label_0731: {
            if (this$uiVersion == null) {
                if (other$uiVersion == null) {
                    break Label_0731;
                }
            }
            else if (this$uiVersion.equals(other$uiVersion)) {
                break Label_0731;
            }
            return false;
        }
        final Object this$uaVersion = this.getUaVersion();
        final Object other$uaVersion = other.getUaVersion();
        if (this$uaVersion == null) {
            if (other$uaVersion == null) {
                return true;
            }
        }
        else if (this$uaVersion.equals(other$uaVersion)) {
            return true;
        }
        return false;
    }
    
    protected boolean canEqual(final Object other) {
        return other instanceof SnServer;
    }
    
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $serverId = this.getServerId();
        result = result * 59 + (($serverId == null) ? 43 : $serverId.hashCode());
        final Object $port = this.getPort();
        result = result * 59 + (($port == null) ? 43 : $port.hashCode());
        final Object $status = this.getStatus();
        result = result * 59 + (($status == null) ? 43 : $status.hashCode());
        final Object $process = this.getProcess();
        result = result * 59 + (($process == null) ? 43 : $process.hashCode());
        final Object $taskId = this.getTaskId();
        result = result * 59 + (($taskId == null) ? 43 : $taskId.hashCode());
        final Object $sslType = this.getSslType();
        result = result * 59 + (($sslType == null) ? 43 : $sslType.hashCode());
        final Object $isDelete = this.getIsDelete();
        result = result * 59 + (($isDelete == null) ? 43 : $isDelete.hashCode());
        final Object $ip = this.getIp();
        result = result * 59 + (($ip == null) ? 43 : $ip.hashCode());
        final Object $userName = this.getUserName();
        result = result * 59 + (($userName == null) ? 43 : $userName.hashCode());
        final Object $password = this.getPassword();
        result = result * 59 + (($password == null) ? 43 : $password.hashCode());
        final Object $dbPsd = this.getDbPsd();
        result = result * 59 + (($dbPsd == null) ? 43 : $dbPsd.hashCode());
        final Object $domain = this.getDomain();
        result = result * 59 + (($domain == null) ? 43 : $domain.hashCode());
        final Object $sslPem = this.getSslPem();
        result = result * 59 + (($sslPem == null) ? 43 : $sslPem.hashCode());
        final Object $sslKey = this.getSslKey();
        result = result * 59 + (($sslKey == null) ? 43 : $sslKey.hashCode());
        final Object $sslTime = this.getSslTime();
        result = result * 59 + (($sslTime == null) ? 43 : $sslTime.hashCode());
        final Object $nginxCnf = this.getNginxCnf();
        result = result * 59 + (($nginxCnf == null) ? 43 : $nginxCnf.hashCode());
        final Object $version = this.getVersion();
        result = result * 59 + (($version == null) ? 43 : $version.hashCode());
        final Object $backVersion = this.getBackVersion();
        result = result * 59 + (($backVersion == null) ? 43 : $backVersion.hashCode());
        final Object $uiVersion = this.getUiVersion();
        result = result * 59 + (($uiVersion == null) ? 43 : $uiVersion.hashCode());
        final Object $uaVersion = this.getUaVersion();
        result = result * 59 + (($uaVersion == null) ? 43 : $uaVersion.hashCode());
        return result;
    }
}
